package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 score_room_user
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public class ScoreRoomUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 房间人员表id */
    private Long roomUserId;

    /** 房间id */
    @Excel(name = "房间id")
    private Long roomId;

    /** 参与人id */
    @Excel(name = "参与人id")
    private Long userId;

    /** 得分 */
    @Excel(name = "得分")
    private Long score;

    /** 三个值 {'user', 'boot', 'business'} */
    @Excel(name = "三个值 {'user', 'boot', 'business'}")
    private String playerType;

    /** 玩家昵称 */
    @Excel(name = "玩家昵称")
    private String nickName;

    /** 玩家头像 */
    @Excel(name = "玩家头像")
    private String avatars;

    public void setRoomUserId(Long roomUserId)
    {
        this.roomUserId = roomUserId;
    }

    public Long getRoomUserId()
    {
        return roomUserId;
    }

    public void setRoomId(Long roomId)
    {
        this.roomId = roomId;
    }

    public Long getRoomId()
    {
        return roomId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }

    public void setPlayerType(String playerType)
    {
        this.playerType = playerType;
    }

    public String getPlayerType()
    {
        return playerType;
    }

    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }

    public void setAvatars(String avatars)
    {
        this.avatars = avatars;
    }

    public String getAvatars()
    {
        return avatars;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roomUserId", getRoomUserId())
            .append("roomId", getRoomId())
            .append("userId", getUserId())
            .append("score", getScore())
            .append("playerType", getPlayerType())
            .append("nickName", getNickName())
            .append("avatars", getAvatars())
            .toString();
    }
}
